/* [+MEQ MatlabEQuilibrium Toolbox+] Swiss Plasma Center EPFL Lausanne 2022. All rights reserved. */
# include "mex.h"
# include "mkl.h"
/* function y = dot(u,v) */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[]) {
# define Y plhs[0]
# define U prhs[0]
# define V prhs[1]
 int n = mxGetM(U)*mxGetN(U), m = mxGetM(V)*mxGetN(V);
	n = m > n ? n : m;
 Y = mxCreateDoubleMatrix(n, 1, mxREAL);
	vdMul(n,mxGetPr(U),mxGetPr(V),mxGetPr(Y));
}
